/* Generated by dbus-binding-tool; do not edit! */

#include <glib.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

#ifndef _DBUS_GLIB_ASYNC_DATA_FREE
#define _DBUS_GLIB_ASYNC_DATA_FREE
static
#ifdef G_HAVE_INLINE
inline
#endif
void
_dbus_glib_async_data_free (gpointer stuff)
{
	g_slice_free (DBusGAsyncData, stuff);
}
#endif

#ifndef DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_GSM_SMS
#define DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_GSM_SMS

static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_SMS_send_message (DBusGProxy *proxy, const char * IN_recipient_number, const char * IN_contents, const GHashTable* IN_properties, gint* OUT_transaction_index, char ** OUT_timestamp, GError **error)

{
  return dbus_g_proxy_call (proxy, "SendMessage", error, G_TYPE_STRING, IN_recipient_number, G_TYPE_STRING, IN_contents, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), IN_properties, G_TYPE_INVALID, G_TYPE_INT, OUT_transaction_index, G_TYPE_STRING, OUT_timestamp, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_SMS_send_message_reply) (DBusGProxy *proxy, gint OUT_transaction_index, char * OUT_timestamp, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_SMS_send_message_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  gint OUT_transaction_index;
  char * OUT_timestamp;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INT, &OUT_transaction_index, G_TYPE_STRING, &OUT_timestamp, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_SMS_send_message_reply)data->cb) (proxy, OUT_transaction_index, OUT_timestamp, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_SMS_send_message_async (DBusGProxy *proxy, const char * IN_recipient_number, const char * IN_contents, const GHashTable* IN_properties, org_freesmartphone_GSM_SMS_send_message_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "SendMessage", org_freesmartphone_GSM_SMS_send_message_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_STRING, IN_recipient_number, G_TYPE_STRING, IN_contents, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), IN_properties, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_SMS_retrieve_text_messages (DBusGProxy *proxy, GPtrArray** OUT_messages, GError **error)

{
  return dbus_g_proxy_call (proxy, "RetrieveTextMessages", error, G_TYPE_INVALID, dbus_g_type_get_collection ("GPtrArray", dbus_g_type_get_struct ("GValueArray", G_TYPE_INT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), G_TYPE_INVALID)), OUT_messages, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_SMS_retrieve_text_messages_reply) (DBusGProxy *proxy, GPtrArray *OUT_messages, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_SMS_retrieve_text_messages_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  GPtrArray* OUT_messages;
  dbus_g_proxy_end_call (proxy, call, &error, dbus_g_type_get_collection ("GPtrArray", dbus_g_type_get_struct ("GValueArray", G_TYPE_INT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), G_TYPE_INVALID)), &OUT_messages, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_SMS_retrieve_text_messages_reply)data->cb) (proxy, OUT_messages, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_SMS_retrieve_text_messages_async (DBusGProxy *proxy, org_freesmartphone_GSM_SMS_retrieve_text_messages_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "RetrieveTextMessages", org_freesmartphone_GSM_SMS_retrieve_text_messages_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_SMS_get_size_for_text_message (DBusGProxy *proxy, const char * IN_contents, guint* OUT_messages, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetSizeForTextMessage", error, G_TYPE_STRING, IN_contents, G_TYPE_INVALID, G_TYPE_UINT, OUT_messages, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_SMS_get_size_for_text_message_reply) (DBusGProxy *proxy, guint OUT_messages, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_SMS_get_size_for_text_message_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  guint OUT_messages;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_UINT, &OUT_messages, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_SMS_get_size_for_text_message_reply)data->cb) (proxy, OUT_messages, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_SMS_get_size_for_text_message_async (DBusGProxy *proxy, const char * IN_contents, org_freesmartphone_GSM_SMS_get_size_for_text_message_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetSizeForTextMessage", org_freesmartphone_GSM_SMS_get_size_for_text_message_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_STRING, IN_contents, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_GSM_SMS_send_text_message (DBusGProxy *proxy, const char * IN_recipient_number, const char * IN_contents, const gboolean IN_report, gint* OUT_reference, char ** OUT_timestamp, GError **error)

{
  return dbus_g_proxy_call (proxy, "SendTextMessage", error, G_TYPE_STRING, IN_recipient_number, G_TYPE_STRING, IN_contents, G_TYPE_BOOLEAN, IN_report, G_TYPE_INVALID, G_TYPE_INT, OUT_reference, G_TYPE_STRING, OUT_timestamp, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_GSM_SMS_send_text_message_reply) (DBusGProxy *proxy, gint OUT_reference, char * OUT_timestamp, GError *error, gpointer userdata);

static void
org_freesmartphone_GSM_SMS_send_text_message_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  gint OUT_reference;
  char * OUT_timestamp;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INT, &OUT_reference, G_TYPE_STRING, &OUT_timestamp, G_TYPE_INVALID);
  (*(org_freesmartphone_GSM_SMS_send_text_message_reply)data->cb) (proxy, OUT_reference, OUT_timestamp, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_GSM_SMS_send_text_message_async (DBusGProxy *proxy, const char * IN_recipient_number, const char * IN_contents, const gboolean IN_report, org_freesmartphone_GSM_SMS_send_text_message_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "SendTextMessage", org_freesmartphone_GSM_SMS_send_text_message_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_STRING, IN_recipient_number, G_TYPE_STRING, IN_contents, G_TYPE_BOOLEAN, IN_report, G_TYPE_INVALID);
}
#endif /* defined DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_GSM_SMS */

G_END_DECLS
